-- Dungeon Tactics
-- Copyright 2012 lukas w. irwin [ lukas.w.irwin@gmail.com ]
-- This program is free software under the terms of the GNU General Public License version 3 or later.
-- edit_modules.lua

edit_modules = { ID = 0 }

-- print "[edit_modules]"

-- creation
function edit_modules:new (o)
	-- print "[edit_modules] new edit_modules"
	o = o or {}
	setmetatable(o, self)
	self.__index = self

	btn_w = 100
	btn_h = 20

	x = screen_width/2-128
	y = 20
	edit_modules_window = sim:addWindow( 500, xcore.x2drect(x, y, x+256, y+96), "edit modules")

	-- text
	x = 10
	y = 30
	text_edit_modules = sim:addText( 0, "Edit module", x, y, x+256-10, y+20)
	text_edit_modules:setParent( edit_modules_window )			
	text_edit_modules:setAlignment(2, 0)

	x = 20
	y = 60
	-- add some buttons
	button_edit_modules_accept = sim:addButton( 501, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "Accept" )
	button_edit_modules_accept:setParent( edit_modules_window )	
	
	x = x+ 120
	button_edit_modules_cancel = sim:addButton( 502, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "Cancel" )
	button_edit_modules_cancel:setParent( edit_modules_window )		

	sim:bindGUI ( "button_edit_modules_accept_pressed", 501, xcore.XGUI_BUTTON_CLICKED )
	sim:bindGUI ( "button_edit_modules_cancel_pressed", 502, xcore.XGUI_BUTTON_CLICKED )
	
	self:hide()
	return o
end

function edit_modules:hide()
	-- print "[edit_modules] hide"
	edit_modules_window:setVisible( false )
end

function edit_modules:show()
	-- print "[edit_modules] show"
	self:update()

	edit_modules_window:setVisible( true )
	-- print "[edit_modules] /show"
end

function edit_modules:destroy()
	-- print "[edit_modules] destroy"
	edit_modules_window:destroy()
end

function edit_modules:update()
	-- print "[edit_modules] update unit edit_modules"
end

function edit_modules:input()
end
-- end of file