-- Dungeon Tactics
-- Copyright 2012 lukas w. irwin [ lukas.w.irwin@gmail.com ]
-- This program is free software under the terms of the GNU General Public License version 3 or later.
-- support.lua

support = { ID = 0 }

-- print "[support]"

-- creation
function support:new (o)
	-- print "[support] new support"
	o = o or {}
	setmetatable(o, self)
	self.__index = self

	-- what about gui text elements?

	width = 128
	height = 20
	x = screen_width - width - 40
	y = 100
	
	-- TODO: add abilities listbox?
	-- listbox_abilities = sim:addListbox( 2203, true, xcore.x2drect(x+10, y, x+width-50, y+180 ) )
	support_window = sim:addWindow( 200, xcore.x2drect(x, y, x+width, y+180), "Support")
	support_window:setTitleBarVisible( false )
	
	x = 0
	y = 0

	button_support_list = sim:addButton( 704, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "Unit List" )
	button_support_list:setParent( support_window )	
	button_support_list:setImage( button_texture )
	button_support_list:setPressedImage( button_pressed_texture )

	-- y = y+btn_h
	-- button_support_help = sim:addButton( 703, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "Help Tips" )
	-- button_support_help:setParent( support_window )	
	-- button_support_help:setImage( button_texture )
	-- button_support_help:setPressedImage( button_pressed_texture )
	
	-- y = y+btn_h	
	-- button_support_options = sim:addButton( 702, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "Options" )
	-- button_support_options:setParent( support_window )	
	-- button_support_options:setImage( button_texture )
	-- button_support_options:setPressedImage( button_pressed_texture )

	y = y+btn_h
	button_support_end = sim:addButton( 705, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "End Turn" )
	button_support_end:setParent( support_window )	
	button_support_end:setImage( button_texture )
	button_support_end:setPressedImage( button_pressed_texture )

	y = y+btn_h
	button_support_exit = sim:addButton( 706, xcore.x2drect( x, y, x+btn_w, y+btn_h ), "Exit" )
	button_support_exit:setParent( support_window )	
	button_support_exit:setImage( button_texture )
	button_support_exit:setPressedImage( button_pressed_texture )

	-- sim:bindGUI ( "button_support_options_pressed", 702, xcore.XGUI_BUTTON_CLICKED )
	-- sim:bindGUI ( "button_support_help_pressed", 703, xcore.XGUI_BUTTON_CLICKED )
	sim:bindGUI ( "button_support_list_pressed", 704, xcore.XGUI_BUTTON_CLICKED )
	sim:bindGUI ( "button_support_end_pressed", 705, xcore.XGUI_BUTTON_CLICKED )
	sim:bindGUI ( "button_support_exit_pressed", 706, xcore.XGUI_BUTTON_CLICKED )
	
	self:hide()
	-- print "[support] new support"
	return o
end

function support:hide()
	-- print "[support] hide"
	support_window:setVisible( false )
end

function support:show()
	-- print "[support] show"
	support_window:setVisible( true )
	-- print "[support] /show"
end

function support:destroy()
	-- print "[support] destroy"

	support_window:destroy()
end

-- end of file